Bug 191212 - print/dvips: interactive port; can it be converted?
print/dvips: interactive port; can it be converted?
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Many People
Assigned To: Gabor Kovesdan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-20 17:22 UTC by John Marino
Modified: 2014-07-15 21:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino freebsd_committer 2014-06-20 17:22:47 UTC
Hi Gabor,
We are making a push at eliminating interactive ports.  Are you still maintaining dvips?  Is it still useful?  Can it be converted to a regular port?

It looks like you took it over in 2008 but haven't actually done anything with it.  What do you recommend should happen?

John
Comment 1 John Marino freebsd_committer 2014-06-26 10:51:35 UTC
hi gabor, are you around?  I haven't heard from you for a few weeks, so I'm not sure if you have seen this PR?
Comment 2 commit-hook freebsd_committer 2014-07-02 22:43:49 UTC
A commit references this bug:

Author: marino
Date: Wed Jul  2 22:43:25 UTC 2014
New revision: 360306
URL: http://svnweb.freebsd.org/changeset/ports/360306

Log:
  print/dvips: Reset maintainer and deprecate interactive port

  Unstaged ports are being reset today.  I'll grab this one from the batch
  in order to set the expiration date to match the other unmaintained
  interactive ports.  The port should be converted to a regular port as
  well as providing stage support in order to undeprecate it.  The listed
  maintainer has been non-responsive for almost two weeks as well.

  PR:		191212
  Approved by:	portmgr (implicit)

Changes:
  head/print/dvips/Makefile
Comment 3 John Marino freebsd_committer 2014-07-02 22:46:14 UTC
Set to expire 20 August with the rest of the unmaintained interactive ports.
Comment 4 Gabor Kovesdan freebsd_committer 2014-07-15 21:45:43 UTC
(In reply to John Marino from comment #3)
> Set to expire 20 August with the rest of the unmaintained interactive ports.

I'm sorry, I was on vacation. I don't really maintain this port any more and I think it can be removed now since it isn't needed for the documentation build. If it is still needed, someone will save it. Thanks for your work on cleaning this up.